Page MenuHomeFreeBSD

pyqt.mk: add support for ${component}_test
ClosedPublic

Authored by tcberner on Jan 17 2020, 8:04 PM.

Details

Summary

Allow ports to only depend on a component of PyQt for testing.

USES=pyqt:5
USE_PYQT=webengine_test

will add a TEST_DEPENDS on www/py-qt5-webengine

See D21792

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner created this revision.Jan 17 2020, 8:04 PM
koobs added a comment.Apr 20 2020, 1:04 AM

Looks fine other than the different syntax than other areas of the ports framework

Looks fine other than the different syntax than other areas of the ports framework

Please explain.

This revision was not accepted when it landed; it landed in state Needs Review.May 31 2020, 9:01 AM
This revision was automatically updated to reflect the committed changes.